#ifndef FACULTY_H_
#define FACULTY_H_

#include <string>
#include "Person.h"

using namespace std;

class Faculty : public Person
{
public:
    Faculty(string name, int id, double salary)
        : Person(name, id), salary(salary)
    {
        cout << "Constructor Faculty(string, int, double)" << endl;
    }

    virtual ~Faculty() {}

    double get_salary() const { return salary; }

private:
    double salary;
};

#endif /* FACULTY_H_ */
