#ifndef STUDENT_H_
#define STUDENT_H_

#include <string>
#include "Person.h"

using namespace std;

class Student : public Person
{
public:
    Student(string name, int id, string dept)
        : Person(name, id), department(dept)
    {
        cout << "Constructor Student(string, int, string)" << endl;
    }

    virtual ~Student() {}

    string get_department() const { return department; }

private:
    string department;
};

#endif /* STUDENT_H_ */
